
// day_2_00: simple vector example
// zach lieberman - thesystemis.com / zlieb@parsons.edu
// ----------------------------------------------------
// just an example to see how vectors work -- 
// 



ArrayList myPoints;

//-------------------------------------------------------------------
void setup(){
  size(400,200);
  myPoints = new ArrayList();
}

//-------------------------------------------------------------------
void draw(){
  
  background(245,17,230);
 
  stroke(255);
  noFill();
  
  beginShape();
  for (int i = 0; i < myPoints.size(); i++){
    // with vectors we have to "cast" the element  be the type we want. 
     Vec2D pt = (Vec2D)myPoints.get(i);
     vertex(pt.x, pt.y);
  }
  endShape();
}

void mousePressed(){
  myPoints.clear();
}

void mouseDragged(){
  Vec2D pt = new Vec2D(mouseX, mouseY);
  // if we want to limit to the last 100 pts, for example, do this:
  //if (myPoints.size() > 100){
    // myPoints.removeElementAt(0);
  //}
  myPoints.add(pt);
}
