
// day_1_07: amplitude modulation
// zach lieberman - thesystemis.com / zlieb@parsons.edu
// ----------------------------------------------------
// multiplying the result of one sine wave verse another
// ie, amplitude modulation:
// http://en.wikipedia.org/wiki/Amplitude_modulation
// http://www.pcmag.com/encyclopedia_term/0,2542,t=amplitude+modulation&i=37737,00.asp


rectangle myRectangle;
float     angleCarrier;
float     angleModulator;
//-------------------------------------------------------------------
void setup(){
  size(400,200);
  myRectangle = new rectangle();
  angleModulator = 0;
  angleCarrier = 0;
}

//-------------------------------------------------------------------
void draw(){
  
  background(245,17,230);
 
  // now we use the amplitude of one sine and multiply it times another:
  float pctModulator = 0.5 * sin(angleModulator) + 0.5;
  float pct = (0.5 * (sin(angleCarrier)*pctModulator)) + 0.5;
  myRectangle.moveToPct(pct);
  angleModulator = angleModulator + 0.03;
  angleCarrier = angleCarrier + 0.08;
  
  // then draw:
  myRectangle.draw();
  
}
