
// day_2_03: particle mutiple
// zach lieberman - thesystemis.com / zlieb@parsons.edu
// ----------------------------------------------------
// now we have a particle that has a position, velocity and force...
// we add to force to velocity, velocity to position every frame. 
// we reset the forces every frame, and sum up all the forces that are acting on the particle



particle myParticles[];

//-------------------------------------------------------------------
void setup(){
  size(400,200);
  
  myParticles = new particle[100];
  
  for (int i = 0; i < 100; i++){
    myParticles[i] = new particle();
    myParticles[i].pos.set(100,100);
    myParticles[i].vel.set(random(-1,1), random(-1,1));
  }
}

//-------------------------------------------------------------------
void draw(){
  
  background(245,17,230);
 
   for (int i = 0; i < 100; i++){
    
    myParticles[i].resetForce();
    myParticles[i].addDampingForce();
    myParticles[i].update();
    myParticles[i].draw();
  }
}

void mousePressed(){
    for (int i = 0; i < 100; i++){
    myParticles[i].setInitialCondition(mouseX, mouseY, random(-2,2), random(-2,2)); 
    }
}
